0

I can't update the kernel of my pi anymore. When I try I have those errors :

pi@raspberrypi ~ $ sudo rpi-update
 *** Raspberry Pi firmware updater by Hexxeh, enhanced by AndrewS and Dom
 *** Performing self-update
 *** Relaunching after update
 *** Raspberry Pi firmware updater by Hexxeh, enhanced by AndrewS and Dom
This update bumps to rpi-4.4.y linux tree
Be aware there could be compatibility issues with some drivers
Discussion here:
https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=144087
##############################################################
 *** Downloading specific firmware revision (this will take a few minutes)
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   168    0   168    0     0    298      0 --:--:-- --:--:-- --:--:--   299
100 51.9M  100 51.9M    0     0   373k      0  0:02:22  0:02:22 --:--:--  662k
 *** Updating firmware
 *** Updating kernel modules
 *** depmod 4.4.43+
libkmod: ERROR ../libkmod/libkmod-config.c:673 kmod_config_parse: //lib/modules/4.4.43+/modules.softdep line 1: ignoring bad line starting with ELF'
depmod: ERROR: //lib/modules/4.4.43+/modules.order:175 corrupted line misses '\n'
depmod: ../libkmod/libkmod-elf.c:207: elf_get_mem: Assertion `offset < elf->size' failed.
/usr/bin/rpi-update : ligne 74 :  2266 Abandon                 depmod -b "${ROOT_PATH}" -a "${BASEDIR}"

I've tried many things (fixing apt-get install, dpkg-reconfigure) but none of this works. I also have issues with apt-get upgrade.

How can I fix it ?

2

"In normal circumstances there is NEVER a need to run rpi-update as it always gets you to the leading edge firmware and kernel and because that may be a testing version it could leave your RPi unbootable". https://www.raspberrypi.org/forums/viewtopic.php?p=916911#p916911

Restore the image from your backup.

  • Can I update manually then ? – Eko Jan 25 '17 at 8:51
  • @Eko sudo apt update && sudo apt dist-upgrade will get the latest tested and supported software. – Milliways Jan 25 '17 at 9:20

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.